<?php

namespace App\Console\Commands;

use App\Http\Controllers\Controller;
use Carbon\Carbon;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\DB;

class LogExpireDelete extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'LogExpireDelete';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'LogExpireDelete';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $this->deleteLog();
    }

    public function deleteLog(){
        $expire_duration=config('logging.expire_duration');//保留的日志天数
        $date=Carbon::now()->subDays($expire_duration)->format('Y-m-d');
        DB::table('logs')->where('created_at','<',$date)->delete();
        DB::statement('OPTIMIZE TABLE logs');
    }
}
